function new_states = cumulateXall_problem_ssr_shell(source_data, problem, state, radius_big, radius_small)

% state: ssr ssr% Lo pT pG pS

IDX_SSR = 1;
IDX_SSR_PERCENT = 2;
IDX_KO = 3;
IDX_PV = 4;
IDX_OPP = 5;


new_states = [];
new_states = [new_states; state];

Ko_steps = (state(IDX_KO)-radius_big : radius_small : state(IDX_KO)+radius_big);
Ko_idx = find(Ko_steps~=state(IDX_KO) & Ko_steps>0 & Ko_steps <= 1); 
Ko_steps = Ko_steps(Ko_idx);

pV_steps = (state(IDX_PV)-radius_big : radius_small : state(IDX_PV)+radius_big);
pV_idx = find(pV_steps~=state(IDX_PV) & pV_steps>0 & pV_steps <= 1); 
pV_steps = pV_steps(pV_idx);

oPP_steps = (state(IDX_OPP)-radius_big : radius_small : state(IDX_OPP)+radius_big);
oPP_idx = find(oPP_steps~=state(IDX_OPP) & oPP_steps>0 & oPP_steps <= 1); 
oPP_steps = oPP_steps(oPP_idx);

new_states_cell = cell(size(Ko_steps,2),1);
t0=tic;
parfor Ko_i = 1:size(Ko_steps,2),%Ko_steps, PARFOR
	t1 = tic;
	new_states_sub = [];
	for pV_i = pV_steps,
		for oPP_i = oPP_steps,
			[prob_ssr, prob_ssr_percent, mod_trash] = cumulateX_all(source_data, [Ko_steps(Ko_i), pV_i, oPP_i, problem]);
			if(prob_ssr<state(IDX_SSR)),
				new_states_sub = [new_states_sub; prob_ssr, prob_ssr_percent, [Ko_steps(Ko_i), pV_i, oPP_i]];
	
% 				disp(['pV-Ko-oPP : ',num2str(pV_i),'-',num2str(Ko_steps(Ko_i)),'-',num2str(oPP_i)]);
			end;
		end;
	end;
	new_states_cell{Ko_i} = new_states_sub;
% 	disp(['para executed in ', num2str(toc(t1))]);
end;
new_states = [new_states; cell2mat(new_states_cell)];
% disp(['allproblem  no.=',num2str(size(new_states,1)),' ',num2str(radius_big),'->',num2str(radius_small), ' in ',num2str(toc(t0)),'s'])


