IDX_USER = 1;
IDX_ACTIVITY = 2;
IDX_RESULT = 3;
IDX_DATE = 4;

IDX_SSR = 1;
IDX_SSR_PERCENT = 2;
IDX_KO = 3;
IDX_PV = 4;
IDX_OPP = 5;

steps = 10;
groups = [404;535;592;759;760;850];

% load the data cube from blend_compute
load('sql_SDATA.mat');

t0 = tic;
for group_i=1:1,%size(groups,1), % for all groups
	source_data = SDATA{group_i, 1};
	n_users = size(source_data.user_id,1);
	n_problems = size(source_data.problem_id,1);
	log = source_data.problem_log;
		
	candidate_states = [10^6, 100, 0, 0, 0]; % ssr ssr% Ko pV opp
	radi = [1, .2, .1, .05, .025, .0125];
	for radius_i = 1:5,
		t1 = tic;
		new_candidate_states = [];
		for states_i = 1:size(candidate_states,1),
			
			output = cumulateXall_problem_ssr_shell(source_data, 0, candidate_states(states_i,:), radi(radius_i), radi(radius_i+1));
			if(size(output,1)>0),
				new_candidate_states = [new_candidate_states; output];
			else
				oops = 1;
			end;
			
			
		end;
		new_candidate_states = unique(new_candidate_states, 'rows');
		ptile = prctile(new_candidate_states(:,IDX_SSR),5);
		filtered_idx = find(new_candidate_states(:,IDX_SSR)<=ptile);
			
		candidate_states = new_candidate_states(filtered_idx,:);

		disp(['allproblem  no.=',num2str(size(candidate_states,1)),' ',num2str(radi(radius_i)),'->',num2str(radi(radius_i+1)), ' in ',num2str(toc(t1)),'s'])
	end;
	g404_all_cum_ssr = candidate_states(IDX_SSR);
	g404_all_cum_ssr_percent = candidate_states(IDX_SSR_PERCENT);
	g404_all_cum_ko = candidate_states(IDX_KO);
	g404_all_cum_param = candidate_states(IDX_PV);
	g404_all_cum_pp = candidate_states(IDX_OPP);
	
	save([num2str(groups(group_i)),'_fitO_cum_3p_problem_all.mat'],...
		'g404_all_cum_ssr','g404_all_cum_ssr_percent','g404_all_cum_ko',...
		'g404_all_cum_param','g404_all_cum_pp');
	
end; % for all groups

disp(['-- done in ',num2str(toc(t0)),'s --']);
