IDX_USER = 1;
IDX_ACTIVITY = 2;
IDX_RESULT = 3;
IDX_DATE = 4;

IDX_SSR = 1;
IDX_SSR_PERCENT = 2;
IDX_PV = 3;
IDX_KO = 4;
IDX_OPP = 5;


steps = 10;
groups = [404;535;592;759;760;850];
s = load('sql_SDATA.mat','SDATA');

t0 = tic;
for group_i=1:1,%size(groups,1), % for all groups
% 	% high sync cost
% 	n_users = size(source_data.user_id,1);
	n_problems = size(s.SDATA{group_i, 1}.problem_id,1);
% 	source_data = SDATA{group_i, 1};
% 	log = source_data.problem_log;
%	% -- high sync cost	

	problem_candidate_states = cell(n_problems,1);
	
	parfor prob_i = 1:n_problems, % PARFOR
		disp(['o2_Starting problem #',num2str(prob_i),'...']); 
		
% 		if(isempty(s)),
			sdat = load('sql_SDATA.mat',['SDATA',num2str(group_i)]);
% 		else
% 			sdat = s;
% 		end;

% 		source_data = evalin(['sdat.SDATA',num2str(group_i)]);
		source_data = sdat.(['SDATA',num2str(group_i)]);
		n_users = size(source_data.user_id,1);
		log = source_data.problem_log;

		t1 = tic;
		
		prob_idx = find(source_data.problem_log(:,IDX_ACTIVITY)==prob_i);
		if(isempty(prob_idx)), continue; end;

		candidate_states = [10^6, 100, 0, 0, 0]; % ssr ssr% pV Ko oPP
		radi = [1, .2, .1, .05, .025, .0125];
		for radius_i = 1:5,
			new_candidate_states = [];
			for states_i = 1:size(candidate_states,1),

				output = cumulateXall_problem_ssr_shell(source_data, prob_i, candidate_states(states_i,:), radi(radius_i), radi(radius_i+1));
				if(size(output,1)>0),
					new_candidate_states = [new_candidate_states; output];
				else
					oops = 1;
				end;


			end;
			new_candidate_states = unique(new_candidate_states, 'rows');
			ptile = prctile(new_candidate_states(:,IDX_SSR),5);
			filtered_idx = find(new_candidate_states(:,IDX_SSR)<=ptile);

			candidate_states = new_candidate_states(filtered_idx,:);
			disp(['o2_problem #',num2str(prob_i),' radius ',num2str(radi(radius_i)),'->',num2str(radi(radius_i+1)),' with ',num2str(size(candidate_states,1)),' candidates complete in ',num2str(toc(t1)),'s']);
		end;
		
		problem_candidate_states{prob_i} = candidate_states;
% 		clearvars('sdat','source_data');
	end; % PARFOR
	
	g404_each_kt_ssr = zeros(size(problem_candidate_states)) + NaN;
	g404_each_kt_ssr_percent = zeros(size(problem_candidate_states)) + NaN;
	g404_each_kt_Lo = zeros(size(problem_candidate_states)) + NaN;
	g404_each_kt_pT = zeros(size(problem_candidate_states)) + NaN;
	g404_each_kt_pG = zeros(size(problem_candidate_states)) + NaN;
	g404_each_kt_pS = zeros(size(problem_candidate_states)) + NaN;

	for i=1:size(problem_candidate_states,1),
		states = problem_candidate_states{i};
		if(isempty(states)), continue; end;
		idx = find( states(:,1)==nanmin(states(:,1)) );

		g404_each_cum_ssr(i) = states(idx(1), 1);
		g404_each_cum_ssr_percent(i) = states(idx(1), 2);
		g404_each_cum_pV(i) = states(idx(1), 3);
		g404_each_cum_Ko(i) = states(idx(1), 4);
		g404_each_cum_oPP(i) = states(idx(1), 5);
	end;
	
	save([num2str(groups(group_i)),'_fitO_cum_3p_problem_each.mat'],...
		'problem_candidate_states','g404_each_cum_ssr',...
		'g404_each_cum_ssr_percent','g404_each_cum_pV','g404_each_cum_Ko',...
		'g404_each_cum_oPP');
	
end; % for all groups

disp(['-- done in ',num2str(toc(t0)),'s --']);
