t0 = tic;
load('sql_models_context_fit_for404.mat');

groups = [404;535;592;759;760;850];

n_groups = size(groups,1);
n_models = size(sql_models_context_fit_for404,2);
model_names = sql_models_context_fit_for404(1,:);

acc_data_overall = zeros(n_groups,n_models);
ssr_data_overall = zeros(n_groups,n_models);

for group_i = 1:n_groups,
	
	% partial comparison tests
	cum_leg = sql_models_context_fit_for404{group_i+1, 1};
	cum_bg = sql_models_context_fit_for404{group_i+1, 2};
	cum_al = sql_models_context_fit_for404{group_i+1, 3};
	cum_ea = sql_models_context_fit_for404{group_i+1, 4};
	
	idx_active_users = find(sum(cum_leg.probl_lrnop>0,2)>=10);

	% by problem
	cum_leg_ac = cellfun(@(x)pv_accuracy(x,1,2),cum_leg.pv_prob_log);
	cum_bg_ac = cellfun(@(x)pv_accuracy(x,1,2),cum_bg.pv_prob_log);
	cum_al_ac = cellfun(@(x)pv_accuracy(x,1,2),cum_al.pv_prob_log);
	cum_ea_ac = cellfun(@(x)pv_accuracy(x,1,2),cum_ea.pv_prob_log);
	
	idx_non_nan = find(~isnan(cum_leg_ac));
	
	[h,p] = ttest(cum_leg_ac(idx_non_nan,:),cum_bg_ac(idx_non_nan,:),.05,'left');
	partial_order_ttests_prob(group_i,1) = p;
	
	[h,p] = ttest(cum_leg_ac(idx_non_nan,:),cum_al_ac(idx_non_nan,:),.05,'left');
	partial_order_ttests_prob(group_i,2) = p;
	
	[h,p] = ttest(cum_leg_ac(idx_non_nan,:),cum_ea_ac(idx_non_nan,:),.05,'left');
	partial_order_ttests_prob(group_i,3) = p;
	%--
	[h,p] = ttest(cum_bg_ac(idx_non_nan,:),cum_al_ac(idx_non_nan,:),.05,'left');
	partial_order_ttests_prob(group_i,4) = p;
	
	[h,p] = ttest(cum_bg_ac(idx_non_nan,:),cum_ea_ac(idx_non_nan,:),.05,'left');
	partial_order_ttests_prob(group_i,5) = p;
	
	[h,p] = ttest(cum_al_ac(idx_non_nan,:),cum_ea_ac(idx_non_nan,:),.05,'left');
	partial_order_ttests_prob(group_i,6) = p;
	
	% by user
	cum_leg_ac = cellfun(@(x)pv_accuracy(x,1,2),cum_leg.pv_usr_log);
	cum_bg_ac = cellfun(@(x)pv_accuracy(x,1,2),cum_bg.pv_usr_log);
	cum_al_ac = cellfun(@(x)pv_accuracy(x,1,2),cum_al.pv_usr_log);
	cum_ea_ac = cellfun(@(x)pv_accuracy(x,1,2),cum_ea.pv_usr_log);
	
	[h,p] = ttest(cum_leg_ac,cum_bg_ac,.05,'left');
	partial_order_ttests_usr(group_i,1) = p;
	
	[h,p] = ttest(cum_leg_ac,cum_al_ac,.05,'left');
	partial_order_ttests_usr(group_i,2) = p;
	
	[h,p] = ttest(cum_leg_ac,cum_ea_ac,.05,'left');
	partial_order_ttests_usr(group_i,3) = p;
	% -
	[h,p] = ttest(cum_bg_ac,cum_al_ac,.05,'left');
	partial_order_ttests_usr(group_i,4) = p;
	
	[h,p] = ttest(cum_bg_ac,cum_ea_ac,.05,'left');
	partial_order_ttests_usr(group_i,5) = p;

	[h,p] = ttest(cum_al_ac,cum_ea_ac,.05,'left');
	partial_order_ttests_usr(group_i,6) = p;

	for model_i = 1:n_models,
		
		model_data = sql_models_context_fit_for404{group_i+1, model_i};

		log = cell2mat(model_data.pv_prob_log);
		
		% ssr 
		ssr_data_overall(group_i,model_i) = pv_ssr(log,1,2);
		
		% accuracy
		acc_data_overall(group_i,model_i) = pv_accuracy(log,1,2);

		
	end; % -- models
	
end; % -- groups

save('sql_models_acc_sse_for404.mat','acc_data_overall','ssr_data_overall');

disp(['-- done in ',num2str(toc(t0)),' --']);
beep;
