IDX_USER = 1;
IDX_ACTIVITY = 2;
IDX_RESULT = 3;
IDX_DATE = 4;

steps = 10;
groups = [404;535;592;759;760;850];

% load the structure data and precomputed all_problem params
load('sql_SDATA.mat');
load('404_fitO_cum_3p_problem_all.mat');

t0 = tic;
% matlabpool open local 4;
for group_i=1:1,%size(groups,1), % for all groups
	source_data = SDATA{group_i};

	g404_all_cum_user_param = 0;
	
	[ssr, ssr_percent, model_data] = cumulateX_all(source_data, ...
		[g404_all_cum_param, g404_all_cum_ko, g404_all_cum_pp, 0]);
	
	pv_usr_log = cell2mat(model_data.pv_usr_log);
	
	[Aprime, Aprime_SE] = auroc(pv_usr_log);
	

	g404_all_cum_user_param = Aprime;
	g404_all_cum_user_param_se = Aprime_SE;
	g404_all_cum_user_param_pvalue = z2pvalue((Aprime-.5) / Aprime_SE);

	save([num2str(groups(group_i)),'_fit_cum_3p_user_all.mat'],...
		'g404_all_cum_user_param','g404_all_cum_user_param_se',...
		'g404_all_cum_user_param_pvalue');
	
end; % for all groups
% matlabpool close;

disp(['-- done in ',num2str(toc(t0)),'s  across user weight = -- ']);


% param = .06, k0 = .44; .02

% pp_matr = cell2mat(FIT_problem_params');
% [r,p] = corrcoef(pp_matr,'rows','pairwise');
