IDX_USER = 1;
IDX_ACTIVITY = 2;
IDX_RESULT = 3;
IDX_DATE = 4;

steps = 10;
groups = [404;535;592;759;760;850];

% load the structure data and precomputed all_problem params
load('sql_SDATA.mat');
load('404_fitO_cum_3p_problem_all.mat');
load('404_fit_cum_3p_user_all.mat');


t0 = tic;
% matlabpool open local 4;
for group_i=1:1,%size(groups,1), % for all groups
	source_data = SDATA{group_i};

	n_users = size(source_data.user_id,1);
	
	g404_each_cum_user_param = zeros(n_users,1);
	g404_each_cum_user_param_se = zeros(n_users,1);
	g404_each_cum_user_param_pvalue = zeros(n_users,1);

	[ssr, ssr_percent, model_data] = cumulateX_all(source_data, ...
		[g404_all_cum_param, g404_all_cum_ko, g404_all_cum_pp, 0]);
	
	for j=1:n_users,
		[Aprime, Aprime_SE] = auroc(model_data.pv_usr_log{j});
		if(isnan(Aprime)),
			Aprime = g404_all_cum_user_param;
		end;
	
		g404_each_cum_user_param(j) = Aprime;
		g404_each_cum_user_param_se(j) = Aprime_SE;
		g404_each_cum_user_param_pvalue(j) = z2pvalue((Aprime-.5) / Aprime_SE);

	end;

	save([num2str(groups(group_i)),'_fit_cum_3p_user_each.mat'],...
		'g404_each_cum_user_param','g404_each_cum_user_param_se',...
		'g404_each_cum_user_param_pvalue');
	
end; % for all groups
% matlabpool close;

disp(['-- done in ',num2str(toc(t0)),'s  for each user weight = -- ']);


% param = .06, k0 = .44; .02

% pp_matr = cell2mat(FIT_problem_params');
% [r,p] = corrcoef(pp_matr,'rows','pairwise');
